VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsDataBlocEcran"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Public idBlocEcran As Integer
Public idligne As Integer
Public idEcran As Integer

'Liaisons Obligatoire
Public ColEcran As Collection
Public ColLigne As Collection

Private rec As Recordset
Private strRequete As String

Public Sub ChargeBlocEcran()
    
    If QShema.BlocEcrans.Count = 0 Then
        Set rec = Base.OpenRecordset("Select * from BlocEcran", dbOpenForwardOnly, dbReadOnly)
        
        With rec
            Do While Not .EOF
                
                Me.idBlocEcran = .Fields("idBlocEcran")
                Me.idligne = .Fields("idligne")
                Me.idEcran = .Fields("idEcran")
                QShema.BlocEcrans.Add Me, "*" & Me.idBlocEcran
                .MoveNext
            Loop
            .Close
        End With
    End If

End Sub
